Ignore:
Timestamp:
May 5, 2015, 3:06:12 PM (5 years ago)
Author:
michaelld@…
Message:

volk:
+ update to 83b09941 (20150504);
+ remove now-unnecessary patch, instead blacklisting GCC < 4.3 since they do not provide <cpuid.h>, which is now a required header when compiling using GCC.

Location:
trunk/dports/science/volk
Files:
1 deleted
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/science/volk/Portfile

    r135413 r135847  
    66PortGroup           github 1.0
    77PortGroup           muniversal 1.0
     8PortGroup           compiler_blacklist_versions 1.0
    89
    9 github.setup        gnuradio volk 528caa1ec03281a3013e1655c8e2546b71bda8d5
    10 version             20150407
    11 checksums           rmd160 6c212e914e35e1b198be27ecae341838ae766a0f \
    12                     sha256 fad182bf5cddfd0d8be7db9d440e1a49f736a8d36d56cc9d513a9dc4d7e05714
     10github.setup        gnuradio volk 83b0994162f512a40fd34dd435e68837b0e224fa
     11version             20150504
     12checksums           rmd160 be648b9f5f213dc6b4d6d573b9ab429ea1be0a62 \
     13                    sha256 476d88d3ef7a8db7686945c118909a9af0056ae323fa01259df4bcbd84f304cb
    1314
    1415# gnuradio legacy still provides volk
     
    3031depends_lib-append   port:boost
    3132
    32 # temporary patch to add lib/gcc_x86_cpuid.h back to the repo, since
    33 # it is needed by some older GCC compilers. It does not hurt newer
    34 # ones that provide cpuid.h.
     33# blacklist GCC < 4.3, since it does not provide <cpuid.h>, which is a
     34# required header when compiling using GCC as of 4c967ef1 (2015-05-04).
    3535
    36 patchfiles-append   patch-lib_gcc_x86_cpuid.h.diff
     36compiler.blacklist-append {*gcc-3*} {*gcc-4.[0-2]}
    3737
    3838# do VPATH (out of source tree) build
     
    126126        # Blacklist GCC compilers not supporting C++11 and all CLANG.
    127127        # This is probably not necessary, but it's good practice.
     128        # GCC 3* and 4.[0-2] are already blacklisted above.
    128129
    129         compiler.blacklist-append *clang* {*gcc-3*} {*gcc-4.[0-6]}
     130        compiler.blacklist-append *clang* {*gcc-4.[3-6]}
    130131
    131132        # and whitelist those we do want to use. wish there were a better way.
Note: See TracChangeset for help on using the changeset viewer.